# Contribution Guidelines

Ensure your pull request adheres to the following guidelines:

- Search previous suggestions before making a new one, as yours may be a duplicate.
- Make an individual pull request for each suggestion.
- Use [title-casing](http://titlecapitalization.com) (AP style).
- Use the following format: `[Title Case Name](link) - Description.`
  > :information_source: [Articles](https://github.com/drmacsika/fastapi-django-combo) should use the `[Title Case Name](link)` format.
- Keep descriptions short and simple, but descriptive.
- Start the description with a capital and end with a full stop/period.
  > :information_source: You can use an emoji, only before the Title-Cased Description.
- Check your spelling and grammar.
- Make sure your text editor is set to remove trailing whitespace.
- New categories or improvements to the existing categorization are welcome.
- Pull requests should have a useful title.
- The body of your commit message should contain a link to the repository.

Thank you for your suggestion!

### Updating your PR

A lot of times, making a PR adhere to the standards above can be difficult. If the maintainers notice anything that we'd like changed, we'll ask you to edit your PR before we merge it. There's no need to open a new PR, just edit the existing one. If you're not sure how to do that, make a research on the different ways you can update your PR so that we can merge it.
